<?php
/**
 * Utilities
 *
 * @since v1.0
 */

// Disable direct call
if ( ! defined( 'ABSPATH' ) ) { exit; }



/* String manipulations
----------------------------------------------------------------------------------------------------- */

// Check value for "on" | "off" | "inherit" values
if ( ! function_exists('trx_effects_is_on') ) {
	function trx_effects_is_on($prm) {
		return ( is_numeric( $prm ) && $prm > 0 ) || in_array( strtolower( $prm ), array( 'true', 'on', 'yes', 'show' ) );
	}
}
if ( ! function_exists('trx_effects_is_off') ) {
	function trx_effects_is_off($prm) {
		return empty($prm) || ( is_numeric( $prm ) && $prm === 0 ) || in_array( strtolower( $prm ), array( 'false', 'off', 'no', 'none', 'hide' ) );
	}
}
if ( ! function_exists('trx_effects_is_inherit') ) {
	function trx_effects_is_inherit($prm) {
		return in_array( strtolower( $prm ), array( 'inherit' ) );
	}
}

